Bug 123074 - Gimp always prints to the default printer
Gimp always prints to the default printer
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2004-05-11 21:14 EDT by Brian G. Anderson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-27 11:53:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2004-05-11 21:14:52 EDT
Description of problem:
The default print string in gimp's print dialog is outdated.  I have
two printers one a default laser printer and the other a color inkjet.
The setup string for the inkjet is as follows:

lp -s -depson -oraw

It appears that the '-d' flag is no longer supported in cups and is
ignored.  As a result the output will be directed to the default
printer with disasterous results since the default laser printer
doesn't understand the inkjet print language and print gibberish.

The form I used which worked was

lp -s -P epson -oraw

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Setup a computer with two printers
2. Invoke gimp for the first time
3. Try and print to the non-default printer
Actual results:
printing on default printer

Expected results:
printing on the printer I actually selected

Additional info:
Comment 1 Nils Philippsen 2004-05-27 11:53:00 EDT
I just tried it and both lp -d <printername> as well as selecting
another (non default) printer from the gimp print dialog worked for me.

Relevant versions are:


Note You need to log in before you can comment on or make changes to this bug.